Support Questions
Find answers, ask questions, and share your expertise

Kafka spout in kerberized kafka cluster Unable to get offset lags for kafka. Reason: org.apache.kafka.shaded.common.errors.TimeoutException

New Contributor

Hi,

I'm trying to connect kafka spout to a kerberized kafka cluster following this: https://github.com/pvillard31/storm-kafka-kerberos

my kafka spout is pretty much same to the example except the following properties i added:

        props.put("security.protocol", "SASL_SSL");
        props.put("ssl.truststore.location", "<cacerts>"); // on the cluster
        props.put("ssl.truststore.password", "changeit");
        props.put("group.id", "kafka-storm");
        props.put("sasl.jaas.config", "<client_jaas.conf>"); // on the cluster

i was able to submit the topology but it returned this error on storm web ui and no worker logs were generated

Unable to get offset lags for kafka. Reason: org.apache.kafka.shaded.common.errors.TimeoutException: Timeout expired while fetching topic metadata

kafkaspout-error.png

Is there any way to see the full stack trace of above error?

Thanks

Edit:

    <properties>
        <storm.version>1.1.0.2.6.2.1-1</storm.version>
    </properties>
    <dependencies>
	<dependency>
            <groupId>org.apache.storm</groupId>
            <artifactId>storm-core</artifactId>
            <version>${storm.version}</version>
            <scope>provided</scope>
        </dependency>
        <dependency>
            <groupId>org.apache.storm</groupId>
            <artifactId>storm-kafka-client</artifactId>
            <version>${storm.version}</version>
        </dependency>
    </dependencies>


2 REPLIES 2

Contributor

What version of storm are you running and what version of storm-kafka-client are you depending on in your topology pom? Do you see anything in ui.log from storm's ui server when you refresh that page in storm ui?

New Contributor

Hi pshah, i updated my pom in the question.

cluster:

storm: 1.1.0

kafka: 0.10.1.0

HDP: 2.6.3.0-235

I tried to use storm-kafka-client 1.1.0.2.6.3.0-235 and storm-core 1.1.0.2.6.3.0-235 using the hortonworks repo but it failed resolving the dependencies